/* TERR.C handles input for changing terrain */

#include "allegro.h"
#include "fpge.h"

char tdTTStr[8]="0";
char tdRDStr[8]="0";
char tdTNStr[8]="0";
char tdGLNStr[8]="0";
char tdSDStr[8]="0";

#define TD_BG_COLOR 33
#define TD_FG_COLOR 15
#define TD_SCREEN_COLOR 88

#define TD_X  200
#define TD_Y  200
#define TD_LH  15
#define TD_LINE1  TD_Y+10

#define tdTypeEditIdx 3
#define tdRoadEditIdx 5
#define tdTileEditIdx 7
#define tdNameEditIdx 9
#define tdSideEditIdx 11

int d_start_proc(int msg, DIALOG *d, int c)
{
   if (msg==MSG_START)
   {
     td[tdTypeEditIdx].dp=tdTTStr;
     td[tdRoadEditIdx].dp=tdRDStr;
     td[tdTileEditIdx].dp=tdTNStr;
     td[tdNameEditIdx].dp=tdGLNStr;
     td[tdSideEditIdx].dp=tdSDStr;
   }
   return d_textbox_proc(msg,d,c);
}

DIALOG td[]={
// 0
{
  d_start_proc,
     TD_X,TD_Y,160,150,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     0,0,0
},
// 1
{
     d_button_proc,
     250,320,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     D_EXIT,
     0,0,
     "Done",0,0
},
//2
{
     d_text_proc,
     TD_X+10,TD_LINE1+0*TD_LH,50,15,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     "Type",0,0
},
//3 Terrain Type Edit
{
     d_edit_proc,
     TD_X+74,TD_LINE1+0*TD_LH,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     0,
     4,0,
     0,0,0
},
//4
{
     d_text_proc,
     TD_X+10,TD_LINE1+1*TD_LH,50,15,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     "Road",0,0
},
//5 Road Type Edit
{
     d_edit_proc,
     TD_X+74,TD_LINE1+1*TD_LH,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     0,
     4,0,
     0,0,0
},
//6
{
     d_text_proc,
     TD_X+10,TD_LINE1+2*TD_LH,50,15,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     "Tile#",0,0
},
//7 Tile Numbre Edit
{
     d_edit_proc,
     TD_X+74,TD_LINE1+2*TD_LH,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     0,
     4,0,
     0,0,0
},
//8
{
     d_text_proc,
     TD_X+10,TD_LINE1+3*TD_LH,50,15,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     "Name",0,0
},
//9 Name Edit
{
     d_edit_proc,
     TD_X+74,TD_LINE1+3*TD_LH,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     0,
     4,0,
     0,0,0
},
//10
{
     d_text_proc,
     TD_X+10,TD_LINE1+4*TD_LH,50,15,
     TD_FG_COLOR,TD_SCREEN_COLOR,
     0,
     0,
     0,0,
     "Side",0,0
},
//11 Side Edit
{
     d_edit_proc,
     TD_X+74,TD_LINE1+4*TD_LH,50,15,
     TD_FG_COLOR,TD_BG_COLOR,
     0,
     0,
     4,0,
     0,0,0
},


//Last
{NULL},

};
